# list

## HTTP Request

```http
GET /api/v1/datasets/:datasetReference/tables

GET /api/v1/workflows/:workflowReference/tables
```

## Path parameters

| Parameter         |                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| datasetReference  | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information.  |
| workflowReference | A qualified reference to the workflow. See [referencing resources](/api/referencing-resources.md) for more information. |

## Query parameters

| Parameter  |                                                                                              |
| ---------- | -------------------------------------------------------------------------------------------- |
| maxResults | Default 100. Must be less than 1000.                                                         |
| pageToken  | For paginating through results, provide the value returned from the previous table.list call |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Only tables to which you have overview access will be returned. If a table's overview is not public, your access token must have one of the following scopes:

* data.overview
* data.metadata
* data.data
* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [table resources](/api/resource-definitions/table.md).

```javascript
{
    "kind": "tableList",
    "nextPageToken": integer,
    "results": [
        object(table.list)
    ]
}
```

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
# List the tables on the EPA Air Quality dataset from the StanfordPHS organization
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/datasets/stanfordphs.epa_air_quality/tables"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/tables/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
